<template>
  <ui-button @click="show">Toggle loading overlay</ui-button>
  <ui-transition-fade>
    <ui-loading
      :is-active="isActive"
      label="Loading, please wait!"
      overlay
      with-scroll-lock
      @click="isActive = false"
    />
  </ui-transition-fade>
</template>

<script lang="ts" setup>
import { ref } from 'vue'

const isActive = ref(false)

const show = () => {
  isActive.value = true

  setTimeout(() => (isActive.value = false), 3000)
}
</script>
